This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 167886 - init script kills all running sshd's if listening server is stopped
init script kills all running sshd's if listening server is stopped
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openssh (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks: 170468 RHEL3U8CanFix
  Show dependency treegraph
 
Reported: 2005-09-09 03:36 EDT by Tomas Mraz
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0298
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 08:53:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Mraz 2005-09-09 03:36:46 EDT
+++ This bug was initially created as a clone of Bug #67624 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020412
Debian/1.2.0-6

Description of problem:
The init script /etc/init.d/sshd uses the function killproc from
/etc/rc.d/init.d/functions. This falls back to using the pidof command to get
PIDs for the daemon, if /var/run/[service].pid does not exist. This means that
if the ssh server is already stopped, instead of failing with "ssh server is not
running" or something similiar, it kills all other running sshd's, which,
obviously, kills everyone's connections to the server. This has a high inpact
if the server is remote and there is no easy console access.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Log on via ssh
2.run /etc/init.d/sshd stop
3.run /etc/init.d/sshd stop again.
	

Actual Results:  All ssh connections to the server were closed.

Expected Results:  It should have returned with a failure to find a process to kill.

Additional info:

-- Additional comment from bbrock@redhat.com on 2002-07-02 13:21 EST --
which version of openssh is installed (and showing the error)?

-- Additional comment from dom@earth.li on 2002-07-08 09:06 EST --
openssh-3.1p1-5 -- the most recent security update.

-- Additional comment from tmraz@redhat.com on 2005-02-03 10:17 EST --
I have patch for this.

-- Additional comment from kpowell@redhat.com on 2005-09-08 17:57 EST --
Tomas,
    We had an Issue Tracker ticket opened on this today. Do you know when your
patch will be included in an openssh-server errata for RHEL 3 and RHEL 4? I
checked openssh-server-3.6.1p2-33.30.6 from the RHEL 3 U6 beta and it's not there.
Comment 13 Bob Johnson 2006-04-11 11:56:44 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.
Comment 16 Red Hat Bugzilla 2006-07-20 08:53:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0298.html

Note You need to log in before you can comment on or make changes to this bug.